summaryrefslogtreecommitdiff
path: root/compile_gtk.sh
diff options
context:
space:
mode:
Diffstat (limited to 'compile_gtk.sh')
-rwxr-xr-xcompile_gtk.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/compile_gtk.sh b/compile_gtk.sh
new file mode 100755
index 0000000..1270268
--- /dev/null
+++ b/compile_gtk.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+cd "$(dirname "$0")" || exit
+test "$(uname -s)" = "FreeBSD" || exit
+cc voss_devctl_gtk.c -g -o voss-devctl \
+ -Wall -Wpedantic -Werror -Wextra \
+ `pkg-config --cflags gtk+-3.0` \
+ `pkg-config --libs gtk+-3.0`